Bug 8238 - Hold limits broken
Summary: Hold limits broken
Status: RESOLVED MOVED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Ian Walls
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-11 19:50 UTC by Owen Leonard
Modified: 2015-06-06 23:00 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-06-11 19:50:32 UTC
Neither the OPAC nor staff client seem to respect any hold limit specified in circulation rule. This problem appears in master (my test installation) and as far back as 3.6.1 (my library's in-production system).

The difference I find between master and 3.6.1 is that in 3.6.1 the staff client seems to respect the limit.
Comment 1 vinod 2012-12-14 18:47:42 UTC
In 3.6.4 hold limit is restricting from system preference setup parameter (maximum holds) but it does not restrict the limit set up at circulation privileges table. if maximumholdsallowed is setup 2 and in patron category if it is 1 than it obey maximumholdsallowed.
Comment 2 Galen Charlton 2014-05-06 17:15:55 UTC
Is this still an issue?
Comment 3 Katrin Fischer 2015-06-06 23:00:45 UTC
There are several more specific bug reports and I know we have put some work into this since the bug was files. I am marking this "Resolved Moved" as I think we need to retest this and have specific descriptions of the missing bits and pieces.

Some I found:
bug 4488, bug 6976, bug 12632